Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1731794 - undefined local variable or method `katello' when running upgrade-mongo-storage-engine
Summary: undefined local variable or method `katello' when running upgrade-mongo-stora...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installation
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks: 1704803 1704806 1704816
TreeView+ depends on / blocked
 
Reported: 2019-07-22 06:00 UTC by Evgeni Golov
Modified: 2019-10-22 19:51 UTC (History)
0 users

Fixed In Version: foreman-installer-1.22.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:29 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27357 0 None None None 2019-07-22 06:02:06 UTC

Description Evgeni Golov 2019-07-22 06:00:04 UTC
Description of problem:
execute MongoDB upgrade by using below command

# satellite-installer --upgrade-mongo-storage-engine

But Mongo DB upgrade get failed with undefined local variable or method `katello' for #<Kafo::HookContext:0x0000000244e920> (NameError).

# satellite-installer --upgrade-mongo-storage-engine
/usr/share/foreman-installer/katello/hooks/pre_validations/30-mongo_storage_engine.rb:36:in `block (4 levels) in load'
: undefined local variable or method `katello' for #<Kafo::HookContext:0x0000000244e920> (NameError)
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hooking.rb:34:in `instance_eval'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hooking.rb:34:in `block (4 levels) in load'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hook_context.rb:16:in `instance_exec'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hook_context.rb:16:in `execute'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hooking.rb:51:in `block in execute'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hooking.rb:49:in `each'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/hooking.rb:49:in `execute'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:140:in `execute'
	from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:119:in `run'
	from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'
	from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:163:in `run'
	from /usr/sbin/satellite-installer:8:in `<main>'


And Satellite log look like below.

[ INFO 2019-07-19T04:42:51 main] All hooks in group pre_values finished
[ INFO 2019-07-19T04:42:51 main] Running installer with args [["--upgrade-mongo-storage-engine"]]
[ INFO 2019-07-19T04:42:51 main] Executing hooks in group pre_validations
[DEBUG 2019-07-19T04:42:51 main] Hook /usr/share/foreman-installer/katello/hooks/pre_validations/10-check_foreman_proxy_pulp.rb returned nil
[DEBUG 2019-07-19T04:42:51 main] Hook /usr/share/foreman-installer/katello/hooks/pre_validations/12-check_capsule_tar.rb returned nil
[ INFO 2019-07-19T04:42:51 main] Installer finished in 1.66178942 seconds

Version-Release number of selected component (if applicable):
6.6.0 snap 11

How reproducible:
100

Steps to Reproduce:
1. satellite-installer --upgrade-mongo-storage-engine
2.
3.

Actual results:
See above

Expected results:
MongoDB is migrated from MMAPv1 to WiredTiger

Additional info:

Comment 2 Evgeni Golov 2019-07-22 06:02:05 UTC
Created redmine issue https://projects.theforeman.org/issues/27357 from this bug

Comment 3 Bryan Kearney 2019-07-22 08:04:51 UTC
Upstream bug assigned to egolov

Comment 4 Bryan Kearney 2019-07-22 08:04:53 UTC
Upstream bug assigned to egolov

Comment 5 Bryan Kearney 2019-07-22 10:04:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27357 has been resolved.

Comment 6 Devendra Singh 2019-07-23 14:08:37 UTC
Hi All,

We can not verify below mentioned ON_QA bug until this bug gets resolved.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1704806
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1704816
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1704803

Thanks

Comment 8 Devendra Singh 2019-08-29 09:43:26 UTC
Verified this issue on 6.6 with the latest snap.
Verified point: 
* satellite version: satellite-6.6.0-6.el7sat.noarch
* foreman-installer version: foreman-installer-1.22.0.10-1.el7sat.noarch
* Mongodb upgrade completed successfully on 6.6 upgraded setup(6.3-->6.4-->6.5-->6.6)

#satellite-installer --upgrade-mongo-storage-engine
Starting disk space check for upgrade
Package versions are locked. Continuing with unlock.
....
.....
Installing             Done                                               [100%] [................................................................................................................................]

Comment 10 Bryan Kearney 2019-10-22 19:51:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.